<mat-toolbar color="accent" class="header is-sticky" >
<!-- <button mat-icon-button (click)="drawer.toggle()">
    <mat-icon>menu</mat-icon>
  </button>-->
  <div *ngIf="userservice.user | async; else login">
    <button mat-button routerLink="/dashboard">{{title}}</button>
  </div>
<ng-template #login>
  <button mat-button routerLink="/">{{title}}</button>
</ng-template>
  <button mat-button [matMenuTriggerFor]="wissenmenu">Wissenswertes</button>
  <button mat-button routerLink="/forum">Forum</button>
  <button mat-button>Lokale Angebote</button>
  <div style="position:absolute; right: 10px">
  <div *ngIf="userservice.user | async; else anmeldung">
    <button mat-icon-button routerLink="/chat" style="margin-right: 20px">
      <mat-icon>chat</mat-icon></button>
    <button mat-icon-button (click)='logout()'>
      <mat-icon>exit_to_app</mat-icon>
    </button>
</div>
<ng-template #anmeldung>
  <button mat-button (click)="openRegDialog()">Registrieren</button>
  <button mat-button (click)="openLoginDialog()">Anmelden</button>
</ng-template>
</div>
<!-- FORUM
<div *ngIf="!(userservice.user | async)">
  <button mat-button (click)="openLoginDialog()">Anmelden</button>
  <button mat-button (click)="openRegDialog()">Registrieren</button>
</div>
-->
</mat-toolbar>

<mat-menu #wissenmenu="matMenu" class="flyout">
    <button mat-menu-item>Item 1</button>
    <button mat-menu-item>Item 2</button>
</mat-menu>

<router-outlet></router-outlet>
<!--<img src="../assets/placeholder-image-1024x460.png" />-->

<!-- <mat-drawer-container class="container" autosize>
  <mat-drawer #drawer class="sidenav" mode="side">
    <mat-tree [dataSource]="dataSource" [treeControl]="treeControl">-->
      <!-- This is the tree node template for leaf nodes -->
   <!--   <mat-tree-node  *matTreeNodeDef="let node" matTreeNodePadding> -->
    <!--  <mat-tree-node *matTreeNodeDef="let node" matTreeNodePadding>-->
        <!-- use a disabled button to provide padding for tree leaf -->
 <!--       <button mat-icon-button disabled></button>
        <a mat-button routerLink='{{node.url}}' routerLinkActive="active">{{node.name}}</a>
      </mat-tree-node> -->
      <!-- This is the tree node template for expandable nodes -->
<!--      <mat-tree-node  *matTreeNodeDef="let node;when: hasChild" matTreeNodePadding>        
        <button mat-icon-button matTreeNodeToggle
                [attr.aria-label]="'toggle ' + node.name">
          <mat-icon class="mat-icon-rtl-mirror">
            {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
          </mat-icon>
        </button>
        <a mat-button routerLink='{{node.url}}' routerLinkActive="active">{{node.name}}</a>
        
      </mat-tree-node>
    </mat-tree>
    
  </mat-drawer>

  <div class="padding-left">

    <router-outlet></router-outlet>
  </div>

</mat-drawer-container> -->
<!--
  local_library oder menu_book
 place
  home
  forum
  account_circle
  settings
  exit_to_app
-->




<!--<mat-toolbar class=footer >
  <span>Footer</span>
</mat-toolbar>-->